#!/sbin/bash


if [ "$1" == splitt ]; then
	echo "start splitting sdcard..."
	case $2 in
		8gb)
			umount -vf /sdcard
			umount -vf /sddata
			
			echo -n "delete old partitions..."
			NUM=`/data/apps2ext/parted -s /dev/block/mmcblk0 print | tail -2 | cut -d " " -f 2`
			if [ "$NUM" == "" ]; then
				NUM=0
			fi
			while [ $NUM != 0 ]; do
				/data/apps2ext/parted -s /dev/block/mmcblk0 rm $NUM
				NUM=`expr $NUM - 1`
			done
			sleep 1
			echo " done"

			echo "create partition..."
			echo -n "creating fat32-partition on card 0. This may take a while..."
			/data/apps2ext/parted -s /dev/block/mmcblk0 mkpartfs primary fat32 0 7000
			echo " done"
			sleep 1
			echo -n "creating ext2-partition on card 0. This may take a while..."
			/data/apps2ext/parted -s /dev/block/mmcblk0 mkpartfs primary ext2 7000 7900
			echo " done"
			sleep 1
			echo "sdcard splitted (fat32+ext2)"
			mount /sdcard
			sleep 1;;
			
		16gb)
			umount -vf /sdcard
			umount -vf /sddata
			
			echo -n "delete old partitions..."
			NUM=`/data/apps2ext/parted -s /dev/block/mmcblk0 print | tail -2 | cut -d " " -f 2`
			if [ "$NUM" == "" ]; then
				NUM=0
			fi
			while [ $NUM != 0 ]; do
				/data/apps2ext/parted -s /dev/block/mmcblk0 rm $NUM
				NUM=`expr $NUM - 1`
			done
			sleep 1
			echo " done"

			echo "create partition..."
			echo -n "creating fat32-partition on card 0. This may take a while..."
			/data/apps2ext/parted -s /dev/block/mmcblk0 mkpartfs primary fat32 0 15000
			echo " done"
			sleep 1
			echo -n "creating ext2-partition on card 0. This may take a while..."
			/data/apps2ext/parted -s /dev/block/mmcblk0 mkpartfs primary ext2 15000 15900
			echo " done"
			sleep 1
			echo "sdcard splitted (fat32+ext2)"
			mount /sdcard
			sleep 1;;
			
		32gb)
			umount -vf /sdcard
			umount -vf /sddata
			
			echo -n "delete old partitions..."
			NUM=`/data/apps2ext/parted -s /dev/block/mmcblk0 print | tail -2 | cut -d " " -f 2`
			if [ "$NUM" == "" ]; then
				NUM=0
			fi
			while [ $NUM != 0 ]; do
				/data/apps2ext/parted -s /dev/block/mmcblk0 rm $NUM
				NUM=`expr $NUM - 1`
			done
			sleep 1
			echo " done"

			echo "create partition..."
			echo -n "creating fat32-partition on card 0. This may take a while..."
			/data/apps2ext/parted -s /dev/block/mmcblk0 mkpartfs primary fat32 0 31000
			echo " done"
			sleep 1
			echo -n "creating ext2-partition on card 0. This may take a while..."
			/data/apps2ext/parted -s /dev/block/mmcblk0 mkpartfs primary ext2 31000 31900
			echo " done"
			sleep 1
			echo "sdcard splitted (fat32+ext2)"
			mount /sdcard
			sleep 1;;
	esac
	sleep 1
	
fi
